/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadataDetails;

import java.math.BigDecimal;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record10;
import org.jooq.Row10;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class CcidMetadataDetailsRecord extends UpdatableRecordImpl<CcidMetadataDetailsRecord> implements Record10<Long, String, BigDecimal, Long, BigDecimal, BigDecimal, Long, BigDecimal, Long, String> {

    private static final long serialVersionUID = 1087632596;

    /**
     * Setter for <code>CCID_METADATA_DETAILS.ID</code>.
     */
    public void setId(Long value) {
        set(0, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.ID</code>.
     */
    public Long getId() {
        return (Long) get(0);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.SOCIETA</code>.
     */
    public void setSocieta(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.SOCIETA</code>.
     */
    public String getSocieta() {
        return (String) get(1);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.IDENTIFICATO_VALORE</code>.
     */
    public void setIdentificatoValore(BigDecimal value) {
        set(2, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.IDENTIFICATO_VALORE</code>.
     */
    public BigDecimal getIdentificatoValore() {
        return (BigDecimal) get(2);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.IDENTIFICATO_UTILIZZAZIONI</code>.
     */
    public void setIdentificatoUtilizzazioni(Long value) {
        set(3, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.IDENTIFICATO_UTILIZZAZIONI</code>.
     */
    public Long getIdentificatoUtilizzazioni() {
        return (Long) get(3);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.PERCENTUALE_IDENTIFICATO_UTILIZZAZIONI</code>.
     */
    public void setPercentualeIdentificatoUtilizzazioni(BigDecimal value) {
        set(4, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.PERCENTUALE_IDENTIFICATO_UTILIZZAZIONI</code>.
     */
    public BigDecimal getPercentualeIdentificatoUtilizzazioni() {
        return (BigDecimal) get(4);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.CLAIM_VALORE</code>.
     */
    public void setClaimValore(BigDecimal value) {
        set(5, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.CLAIM_VALORE</code>.
     */
    public BigDecimal getClaimValore() {
        return (BigDecimal) get(5);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.CLAIM_UTILIZZAZIONI</code>.
     */
    public void setClaimUtilizzazioni(Long value) {
        set(6, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.CLAIM_UTILIZZAZIONI</code>.
     */
    public Long getClaimUtilizzazioni() {
        return (Long) get(6);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.NON_IDENTIFICATO_VALORE</code>.
     */
    public void setNonIdentificatoValore(BigDecimal value) {
        set(7, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.NON_IDENTIFICATO_VALORE</code>.
     */
    public BigDecimal getNonIdentificatoValore() {
        return (BigDecimal) get(7);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.NON_IDENTIFICATO_UTILIZZAZIONI</code>.
     */
    public void setNonIdentificatoUtilizzazioni(Long value) {
        set(8, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.NON_IDENTIFICATO_UTILIZZAZIONI</code>.
     */
    public Long getNonIdentificatoUtilizzazioni() {
        return (Long) get(8);
    }

    /**
     * Setter for <code>CCID_METADATA_DETAILS.ID_DSR</code>.
     */
    public void setIdDsr(String value) {
        set(9, value);
    }

    /**
     * Getter for <code>CCID_METADATA_DETAILS.ID_DSR</code>.
     */
    public String getIdDsr() {
        return (String) get(9);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Long> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record10 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row10<Long, String, BigDecimal, Long, BigDecimal, BigDecimal, Long, BigDecimal, Long, String> fieldsRow() {
        return (Row10) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row10<Long, String, BigDecimal, Long, BigDecimal, BigDecimal, Long, BigDecimal, Long, String> valuesRow() {
        return (Row10) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field1() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.SOCIETA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field3() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.IDENTIFICATO_VALORE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field4() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.IDENTIFICATO_UTILIZZAZIONI;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field5() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.PERCENTUALE_IDENTIFICATO_UTILIZZAZIONI;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field6() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.CLAIM_VALORE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field7() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.CLAIM_UTILIZZAZIONI;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field8() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.NON_IDENTIFICATO_VALORE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field9() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.NON_IDENTIFICATO_UTILIZZAZIONI;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field10() {
        return CcidMetadataDetails.CCID_METADATA_DETAILS.ID_DSR;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getSocieta();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component3() {
        return getIdentificatoValore();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component4() {
        return getIdentificatoUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component5() {
        return getPercentualeIdentificatoUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component6() {
        return getClaimValore();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component7() {
        return getClaimUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component8() {
        return getNonIdentificatoValore();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component9() {
        return getNonIdentificatoUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component10() {
        return getIdDsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getSocieta();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value3() {
        return getIdentificatoValore();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value4() {
        return getIdentificatoUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value5() {
        return getPercentualeIdentificatoUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value6() {
        return getClaimValore();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value7() {
        return getClaimUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value8() {
        return getNonIdentificatoValore();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value9() {
        return getNonIdentificatoUtilizzazioni();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value10() {
        return getIdDsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value1(Long value) {
        setId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value2(String value) {
        setSocieta(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value3(BigDecimal value) {
        setIdentificatoValore(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value4(Long value) {
        setIdentificatoUtilizzazioni(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value5(BigDecimal value) {
        setPercentualeIdentificatoUtilizzazioni(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value6(BigDecimal value) {
        setClaimValore(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value7(Long value) {
        setClaimUtilizzazioni(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value8(BigDecimal value) {
        setNonIdentificatoValore(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value9(Long value) {
        setNonIdentificatoUtilizzazioni(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord value10(String value) {
        setIdDsr(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidMetadataDetailsRecord values(Long value1, String value2, BigDecimal value3, Long value4, BigDecimal value5, BigDecimal value6, Long value7, BigDecimal value8, Long value9, String value10) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        value10(value10);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached CcidMetadataDetailsRecord
     */
    public CcidMetadataDetailsRecord() {
        super(CcidMetadataDetails.CCID_METADATA_DETAILS);
    }

    /**
     * Create a detached, initialised CcidMetadataDetailsRecord
     */
    public CcidMetadataDetailsRecord(Long id, String societa, BigDecimal identificatoValore, Long identificatoUtilizzazioni, BigDecimal percentualeIdentificatoUtilizzazioni, BigDecimal claimValore, Long claimUtilizzazioni, BigDecimal nonIdentificatoValore, Long nonIdentificatoUtilizzazioni, String idDsr) {
        super(CcidMetadataDetails.CCID_METADATA_DETAILS);

        set(0, id);
        set(1, societa);
        set(2, identificatoValore);
        set(3, identificatoUtilizzazioni);
        set(4, percentualeIdentificatoUtilizzazioni);
        set(5, claimValore);
        set(6, claimUtilizzazioni);
        set(7, nonIdentificatoValore);
        set(8, nonIdentificatoUtilizzazioni);
        set(9, idDsr);
    }
}
